<p id="notice"><%= notice %></p>

<h1>Prowhy Posts</h1>

<div id="tag_cloud">
  <% tag_cloud Post.tag_counts, %w[s m l] do |tag, css_class| %>
    <%= link_to tag.name, tagged_path(tag.name), class: css_class %>
  <% end %>
</div>

<table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
  <thead>
    <tr>
      <th>Titre</th>
      <th>Body</th>
      <th>Tags</th>
      <th colspan="" class="sorter-false"></th>
    </tr>
  </thead>


  <tbody>
    <% @posts.each do |post| %>
      <tr>
        <td><%= post.title %></td>
        <td>
          <a href='#' data-toggle='prowhy-openclose' data-prowhy-text='Details' data-prowhy-type='open' data-prowhy-content='#pbody_<%=post.id%>'></a>
          <div id='pbody_<%=post.id%>' style='display:none;'>
            <div class='popover-body'>
              <%= post.body %>
            </div>
          </div>
        </td>
        <td>
          <% unless post.tags.empty? %>
            Tags:
            <%#= post.tag_list %>
            <%= raw post.tag_list.map { |t| link_to t, tag_path(t) }.join(', ') %>
          <% end %>
        </td>
        <td><%= link_to fa_icon_edit, edit_post_path(post) %></td>
        <td><%= link_to fa_icon_delete, post, method: :delete, data: { confirm: t('confirm.sure') } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Post', new_post_path %>
<br/>
<%= link_to 'Return to All posts', posts_url %>
